/* GRAPHICS.H */
/* Declarations of graphics global pointers and functions for the ROBOTS Game.
 * 
 * By Siddharth Eswaran.
 */

#ifndef __GRAPHICS_H
#define __GRAPHICS_H

#ifndef BOARDSIZE 
#define BOARDSIZE 31 
#endif

#define NORTHWEST 0
#define NORTH 1
#define NORTHEAST 2
#define WEST 3
#define SAMEPOINT 4
#define EAST 5
#define SOUTHWEST 6
#define SOUTH 7
#define SOUTHEAST 8

#include<gtk/gtk.h>
 
/* Global variables for the graphics. */
extern GtkWidget *window;
extern GtkWidget *table,*panel,*controls,*reset,*tele;
extern GtkWidget *boardboxes[BOARDSIZE][BOARDSIZE];
extern GtkWidget *tlabel,*rlabel,*statusbar;
extern char tlstr[30],rlstr[30];
extern int buttonpanel[10],sbcid;
#ifndef __TELEPORT
extern GtkWidget *entry;
#endif
/* Functions */
void initgraph();
#endif

